UnSupportedHBAAPIs(3)

NAME
UnSupportedHBAAPIs - Not Supported HBA API Functions

SYNOPSIS

  Functions

HBA_STATUS HBA_OpenAdapterByWWN (HBA_HANDLE *pHandle, HBA_WWN wwn)
HBA_STATUS HBA_GetPortAttributesByWWN (HBA_HANDLE handle, HBA_WWN PortWWN, HBA_PORTATTRIBUTES *pPortattributes)
HBA_STATUS HBA_GetFC4Statistics (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_UINT8 FC4type, HBA_FC4STATISTICS *statistics)
HBA_STATUS HBA_GetBindingCapability (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_BIND_CAPABILITY *pFlags)
HBA_STATUS HBA_GetBindingSupport (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_BIND_CAPABILITY *pFlags)
HBA_STATUS HBA_SetBindingSupport (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_BIND_CAPABILITY flags)
HBA_STATUS HBA_GetFcpPersistentBinding (HBA_HANDLE handle, HBA_FCPBINDING *pBinding)
HBA_STATUS HBA_GetPersistentBindingV2 (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_FCPBINDING2 *binding)
HBA_STATUS HBA_SetPersistentBindingV2 (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_FCPBINDING2 *binding)
HBA_STATUS HBA_RemovePersistentBinding (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_FCPBINDING2 *binding)
HBA_STATUS HBA_RemoveAllPersistentBindings (HBA_HANDLE handle, HBA_WWN hbaPortWWN)
HBA_STATUS HBA_GetFCPStatistics (HBA_HANDLE handle, const HBA_SCSIID *lunit, HBA_FC4STATISTICS *statistics)
HBA_STATUS HBA_SetRNIDMgmtInfo (HBA_HANDLE handle, HBA_MGMTINFO *info)
HBA_STATUS HBA_GetRNIDMgmtInfo (HBA_HANDLE handle, HBA_MGMTINFO *pInfo)
HBA_STATUS HBA_SendRPL (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN agent_wwn, HBA_UINT32 agent_domain, HBA_UINT32 portIndex, void *pRspBuffer, HBA_UINT32 *pRspBufferSize)
HBA_STATUS HBA_SendRPS (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN agent_wwn, HBA_UINT32 agent_domain, HBA_WWN object_wwn, HBA_UINT32 object_port_number, void *pRspBuffer, HBA_UINT32 *pRspBufferSize)
HBA_STATUS HBA_SendSRL (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN wwn, HBA_UINT32 domain, void *pRspBuffer, HBA_UINT32 *pRspBufferSize)
HBA_STATUS HBA_SendLIRR (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN destWWN, HBA_UINT8 function, HBA_UINT8 type, void *pRspBuffer, HBA_UINT32 *pRspBufferSize)
HBA_STATUS HBA_SendRLS (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN destWWN, void *pRspBuffer, HBA_UINT32 *pRspBufferSize)
HBA_STATUS HBA_RemoveCallback (HBA_CALLBACKHANDLE callbackHandle)
HBA_STATUS HBA_RegisterForAdapterAddEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32), void *pUserData, HBA_CALLBACKHANDLE *pCallbackHandle)
HBA_STATUS HBA_RegisterForAdapterEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32), void *pUserData, HBA_HANDLE handle, HBA_CALLBACKHANDLE *pCallbackHandle)
HBA_STATUS HBA_RegisterForAdapterPortEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32, HBA_UINT32), void *pUserData, HBA_HANDLE handle, HBA_WWN PortWWN, HBA_CALLBACKHANDLE *pCallbackHandle)
HBA_STATUS HBA_RegisterForAdapterPortStatEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32), void *pUserData, HBA_HANDLE handle, HBA_WWN PortWWN, HBA_PORTSTATISTICS stats, HBA_UINT32 statType, HBA_CALLBACKHANDLE *pCallbackHandle)
HBA_STATUS HBA_RegisterForTargetEvents (void(*pCallback)(void *, HBA_WWN, HBA_WWN, HBA_UINT32), void *pUserData, HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN discoveredPortWWN, HBA_CALLBACKHANDLE *pCallbackHandle, HBA_UINT32 allTargets)
HBA_STATUS HBA_RegisterForLinkEvents (void(*pCallback)(void *, HBA_WWN, HBA_UINT32, void *, HBA_UINT32), void *pUserData, void *pRLIRBuffer, HBA_UINT32 RLIRBufferSize, HBA_HANDLE handle, HBA_CALLBACKHANDLE *pCallbackHandle)

Detailed Description

Function Documentation

  HBA_STATUS HBA_GetBindingCapability (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_BIND_CAPABILITY * pFlags)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_GetBindingSupport (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_BIND_CAPABILITY * pFlags)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_GetFC4Statistics (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_UINT8 FC4type, HBA_FC4STATISTICS * statistics)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_GetFcpPersistentBinding (HBA_HANDLE handle, HBA_FCPBINDING * pBinding)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_GetFCPStatistics (HBA_HANDLE handle, const HBA_SCSIID * lunit, HBA_FC4STATISTICS * statistics)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_GetPersistentBindingV2 (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_FCPBINDING2 * binding)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_GetPortAttributesByWWN (HBA_HANDLE handle, HBA_WWN PortWWN, HBA_PORTATTRIBUTES * pPortattributes)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_GetRNIDMgmtInfo (HBA_HANDLE handle, HBA_MGMTINFO * pInfo)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

References getAdapterByHandle(), vlib_adapter::handle, vlib_adapter::ident, vlib_data::mutex, revalidateRepository(), VLIB_MUTEX_LOCK, VLIB_MUTEX_UNLOCK, vlib_wwn_to_HBA_WWN(), and vlib_adapter_ident::wwnn.

  HBA_STATUS HBA_OpenAdapterByWWN (HBA_HANDLE * pHandle, HBA_WWN wwn)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_RegisterForAdapterAddEvents (void(*)(void *, HBA_WWN, HBA_UINT32) pCallback, void * pUserData, HBA_CALLBACKHANDLE * pCallbackHandle)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_RegisterForAdapterEvents (void(*)(void *, HBA_WWN, HBA_UINT32) pCallback, void * pUserData, HBA_HANDLE handle, HBA_CALLBACKHANDLE * pCallbackHandle)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_RegisterForAdapterPortEvents (void(*)(void *, HBA_WWN, HBA_UINT32, HBA_UINT32) pCallback, void * pUserData, HBA_HANDLE handle, HBA_WWN PortWWN, HBA_CALLBACKHANDLE * pCallbackHandle)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_RegisterForAdapterPortStatEvents (void(*)(void *, HBA_WWN, HBA_UINT32) pCallback, void * pUserData, HBA_HANDLE handle, HBA_WWN PortWWN, HBA_PORTSTATISTICS stats, HBA_UINT32 statType, HBA_CALLBACKHANDLE * pCallbackHandle)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_RegisterForLinkEvents (void(*)(void *, HBA_WWN, HBA_UINT32, void *, HBA_UINT32) pCallback, void * pUserData, void * pRLIRBuffer, HBA_UINT32 RLIRBufferSize, HBA_HANDLE handle, HBA_CALLBACKHANDLE * pCallbackHandle)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_RegisterForTargetEvents (void(*)(void *, HBA_WWN, HBA_WWN, HBA_UINT32) pCallback, void * pUserData, HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN discoveredPortWWN, HBA_CALLBACKHANDLE * pCallbackHandle, HBA_UINT32 allTargets)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_RemoveAllPersistentBindings (HBA_HANDLE handle, HBA_WWN hbaPortWWN)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_RemoveCallback (HBA_CALLBACKHANDLE callbackHandle)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_RemovePersistentBinding (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_FCPBINDING2 * binding)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_SendLIRR (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN destWWN, HBA_UINT8 function, HBA_UINT8 type, void * pRspBuffer, HBA_UINT32 * pRspBufferSize)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_SendRLS (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN destWWN, void * pRspBuffer, HBA_UINT32 * pRspBufferSize)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_SendRPL (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN agent_wwn, HBA_UINT32 agent_domain, HBA_UINT32 portIndex, void * pRspBuffer, HBA_UINT32 * pRspBufferSize)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_SendRPS (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN agent_wwn, HBA_UINT32 agent_domain, HBA_WWN object_wwn, HBA_UINT32 object_port_number, void * pRspBuffer, HBA_UINT32 * pRspBufferSize)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_SendSRL (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_WWN wwn, HBA_UINT32 domain, void * pRspBuffer, HBA_UINT32 * pRspBufferSize)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_SetBindingSupport (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_BIND_CAPABILITY flags)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_SetPersistentBindingV2 (HBA_HANDLE handle, HBA_WWN hbaPortWWN, HBA_FCPBINDING2 * binding)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

  HBA_STATUS HBA_SetRNIDMgmtInfo (HBA_HANDLE handle, HBA_MGMTINFO * info)

Returns
    HBA_STATUS_ERROR_NOT_SUPPORTED

Note
    This function is currently not supported.

Author

Generated automatically by Doxygen for ZFCP HBA API Library from the source code.